Package ghidra.util.datastruct

# Class FloatArrayArray

java.lang.Object
ghidra.util.datastruct.FloatArrayArray

All Implemented Interfaces:
  `Array`, `Serializable`

public class FloatArrayArray extends Object implements Array, Serializable
Array of float[] that grows as needed.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatArrayArray()`
  Creates new floatArrayArray

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyDataTo(int index, DataTable table, int toIndex, int toCol)`
  Copies the underlying value for this array at the given index to the data table at the given index and column.
  `float[]`
  `get(int index)`
  Returns the float at the given index
  `int`
  `getLastNonEmptyIndex()`
  Returns the index of the last non-null or non-zero element in the array.
  `void`
  `put(int index, float[] value)`
  Puts the given float value in the float array at the given index
  `void`
  `remove(int index)`
  Removes the array at the given index

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serialVersionUID

    public static final long serialVersionUID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FloatArrayArray

    public FloatArrayArray()
    Creates new floatArrayArray

- ## Method Details

  - ### put

    public void put(int index, float[] value)
    Puts the given float value in the float array at the given index
    Parameters:
      `index` - Index into the array.
      `value` - value to store
    Throws:
      `IndexOutOfBoundsException` - if the index is negative

  - ### get

    public float[] get(int index)
    Returns the float at the given index
    Parameters:
      `index` - index into the array
    Returns:
      The float array at the given index. An empty array will be returned for any index not initialized to another value.
    Throws:
      `IndexOutOfBoundsException` - if the index is negative

  - ### remove

    public void remove(int index)
    Removes the array at the given index
    Specified by:
      `remove` in interface `Array`
    Parameters:
      `index` - index of the array to be removed
    Throws:
      `IndexOutOfBoundsException` - if the index is negative

  - ### getLastNonEmptyIndex

    public int getLastNonEmptyIndex()
    Returns the index of the last non-null or non-zero element in the array.
    Specified by:
      `getLastNonEmptyIndex` in interface `Array`
    Returns:
      the index of the last non-null or non-zero element in the array

  - ### copyDataTo

    public void copyDataTo(int index, DataTable table, int toIndex, int toCol)
    Description copied from interface: `Array`
    Copies the underlying value for this array at the given index to the data table at the given index and column. The data type at the column in the data table must be the same as the data in this array.
    Specified by:
      `copyDataTo` in interface `Array`
    Parameters:
      `index` - index into this array to copy the value from.
      `table` - the data table object to copy the data to.
      `toIndex` - the index into the destination data table to copy the value.
      `toCol` - the data table column to store the value. Must be the same type as this array.
    See Also:
      - `Array.copyDataTo(int, DataTable, int, int)`